<script>
  import {
    playMelody,
    pauseMelody,
    resumeMelody,
  } from '../assets/js/tune/melody.js';
  let paused = true;
  let playing = false;

  function play(sequence) {
    if (!playing) {
      console.log('play');
      playMelody(sequence);
      playing = true;
      paused = false;
    }
  }

  function pause() {
    if (playing) {
      pauseMelody();
      playing = false;
      paused = true;
    }
  }

  function resume() {
    if (paused) {
      resumeMelody();
      playing = true;
      paused = false;
    }
  }

  export let sequence;
</script>

<div class="player">
  <p class="sequence">
    {sequence}
  </p>
  <button class="play button" on:click={() => play(sequence)}> play </button>
  {#if !paused}
  <button class="pause button" on:click={pause}> pause </button>
  {:else}
  <button class="resume button" on:click={resume}> resume </button>
  {/if}
</div>

<style>
  p.sequence {
    font-size: 1.5rem;
    font-family: monospace;
    overflow-wrap: break-word;
  }
</style>
